"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isDuration = void 0;
const dayjs_1 = __importDefault(require("dayjs"));
/**
 * @category Predicates
 * @param value The value to validate.
 */
function isDuration(value) {
    if (!('isDuration' in dayjs_1.default)) {
        throw new Error('The Dayjs "duration" plugin is not loaded.');
    }
    return dayjs_1.default.isDuration(value) && !Number.isNaN(value.asMilliseconds());
}
exports.isDuration = isDuration;
